ttmv(user cmd)

NAME
ttmv — move or rename files and inform the ToolTalk service

SYNOPSIS

ttmv [-fL] [pathname1] [pathname2]

ttmv [-fL] [pathname] [...] [directory]

ttmv [-h] [-v]

DESCRIPTION

The ttmv utility invokes mv(1) to move files and directories around in the file system and informs ToolTalk about its actions so that the ToolTalk objects associated with those files and directories can also be moved.

The ttmv utility moves the ToolTalk objects before it moves the files and does not check whether the file-moving operation will succeed before performing the object-moving operation.

OPTIONS

The following options are available:

-f  Force. Do not report any errors, and pass the -f option to mv(1).

-h  Write a help message for invoking ttmv and then exit.

-L  Move the ToolTalk objects of the files, but do not invoke mv(1) to move the actual files.

-v  Write the version number of ttmv and then exit.

The -i option to cp(1) is not supported.

OPERANDS

The following operands are supported:

pathname1
    A pathname of a file to be moved.

pathname2
    A pathname of an existing or nonexisting file, used for the output when a single file is moved.

directory
    A pathname of a directory to contain the moved files.

STDIN

Not used.

INPUT FILES

The input files specified as operands can be of any file type.

ENVIRONMENT VARIABLES

The following environment variables affect the execution of ttmv:

LANG
    Provide a default value for the internationalization variables that are unset or null. If LANG is unset or null, the corresponding value from the implementation-specific default locale will be used. If any of the internationalization variables contains an invalid setting, the utility behaves as if none of the variables had been defined.

LC_ALL
    If set to a non-empty string value, override the values of all the other internationalization variables.

LC_MESSAGES
    Determine the locale that is used to affect the format and contents of diagnostic messages written to standard error and informative messages written to standard output.

NLSPATH
    Determine the location of message catalogues for the processing of LC_MESSAGES.

RESOURCES

None.

ASYNCHRONOUS EVENTS

The ttmv utility takes the standard action for all signals.

STDOUT

When the -h option is used, ttmv writes to standard output a help message in an unspecified format.

When the -v option is used, ttmv writes to standard output a version number in an unspecified format.

STDERR

Used only for diagnostic messages.

OUTPUT FILES

The output files can be of any type.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values are returned:

0   All files and ToolTalk objects were moved successfully.

>0  An error occurred or the invoked mv(1) command exited with a non-zero value.

CONSEQUENCES OF ERRORS

Default.

FILES

/mountpoint/TT_DB
    The directory used as a database for the ToolTalk objects of files in the file system mounted at /mountpoint.

APPLICATION USAGE

None.

EXAMPLES

None.

SEE ALSO

mv(1), ttsession(1).